---
updatedAt: 2026-04-18T03:29:42.000Z
---

# Create a user

**Required Role:** Admin Portal or Admin API Consumer


Creates a user.

The type of user is controlled by the license type, which is typically
an agent of some kind, but other types can be supported via the 'nonAgent' type.

At a minimum, creating a user requires:
- the user's email address
- the user's first and last names
- the user's license type or a profile to apply to the user (the license type will be
  taken from the profile if specified)

**License Types and Their Defaults:**
- `nonAgent`: Limited permissions, minimal spaces (1 task, 1 email, 1 messaging)
- `voiceOnlyAgent`: Voice-focused permissions, phone space (2 task, 1 phone)
- `digitalOnlyAgent`: Digital channels, no phone (3 task, 2 email, 2 messaging)
- `omniChannelAgent`: All channels except video (3 task, 2 email, 1 phone, 2 messaging)
- `omniChannelAgentEnhanced`: All channels with enhanced features and session statistics
- `hybridVoiceAgent`: Balanced voice and digital capabilities

**Validation Rules:**
- User's email address must be unique within the account
- License type must be valid for the account
- Profile must exist (if profile ID is provided)
- Folder must exist (if folder ID is provided)
- Location must exist (if location ID is provided) - location IDs are system-generated


# OpenAPI definition

```json
{
  "openapi": "3.1.1",
  "info": {
    "title": "User Management",
    "description": "APIs for creating, updating and retrieving individual users.\n",
    "version": "0.0.1",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/avaya-infinity/"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "https://support.avaya.com/css/P8/documents/101038288"
    }
  },
  "servers": [
    {
      "url": "https://core.{customerId}.ec.avayacloud.com/api/config/v1",
      "description": "Production",
      "variables": {
        "customerId": {
          "description": "Your organization identifier",
          "default": "your-org-id"
        }
      }
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "User",
      "description": "Operations related to individual users.\n"
    }
  ],
  "paths": {
    "/users": {
      "post": {
        "tags": [
          "User"
        ],
        "summary": "Create a user",
        "description": "**Required Role:** Admin Portal or Admin API Consumer\n\n\nCreates a user.\n\nThe type of user is controlled by the license type, which is typically\nan agent of some kind, but other types can be supported via the 'nonAgent' type.\n\nAt a minimum, creating a user requires:\n- the user's email address\n- the user's first and last names\n- the user's license type or a profile to apply to the user (the license type will be\n  taken from the profile if specified)\n\n**License Types and Their Defaults:**\n- `nonAgent`: Limited permissions, minimal spaces (1 task, 1 email, 1 messaging)\n- `voiceOnlyAgent`: Voice-focused permissions, phone space (2 task, 1 phone)\n- `digitalOnlyAgent`: Digital channels, no phone (3 task, 2 email, 2 messaging)\n- `omniChannelAgent`: All channels except video (3 task, 2 email, 1 phone, 2 messaging)\n- `omniChannelAgentEnhanced`: All channels with enhanced features and session statistics\n- `hybridVoiceAgent`: Balanced voice and digital capabilities\n\n**Validation Rules:**\n- User's email address must be unique within the account\n- License type must be valid for the account\n- Profile must exist (if profile ID is provided)\n- Folder must exist (if folder ID is provided)\n- Location must exist (if location ID is provided) - location IDs are system-generated\n",
        "operationId": "createUser",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateUserRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/CreateUserResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "409": {
            "$ref": "#/components/responses/UserConflict"
          },
          "422": {
            "$ref": "#/components/responses/UnprocessableEntity"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "default": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "OAuth 2.0 Bearer Token with scoped permissions.\nRequired scopes documented per endpoint.\n"
      }
    },
    "responses": {
      "CreateUserResponse": {
        "description": "Success response for creating a user.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/CreatedUser"
            }
          }
        }
      },
      "UserConflict": {
        "description": "Conflict",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "email": {
                "$ref": "#/components/examples/ErrorUserEmailExists"
              }
            }
          }
        }
      },
      "UnprocessableEntity": {
        "description": "Validation Failed",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnprocessableEntity"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "Internal Server Error",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "example": {
              "type": "https://developers.avayacloud.com/errors/internal-error",
              "title": "Internal Server Error",
              "status": 500,
              "detail": "An unexpected error occurred while processing your request",
              "requestId": "req_xyz789",
              "timestamp": "2025-12-08T10:30:05Z"
            }
          }
        }
      },
      "BadRequest": {
        "description": "Bad Request",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "example": {
              "type": "https://developers.avayacloud.com/errors/constraint-violation",
              "title": "Constraint Violation",
              "status": 400,
              "detail": "Request contains invalid or missing fields",
              "violations": [
                {
                  "field": "accountId",
                  "message": "must match \"^[a-zA-Z]{6}$\"",
                  "code": 20006
                }
              ]
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "example": {
              "type": "https://developers.avayacloud.com/errors/unauthorized",
              "title": "Unauthorized",
              "status": 401,
              "detail": "Bearer token expired at 2025-12-08T10:15:00Z. Request a new token.",
              "requestId": "req_xyz789",
              "timestamp": "2025-12-08T10:30:05Z"
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "example": {
              "type": "https://developers.avayacloud.com/errors/forbidden",
              "title": "Forbidden",
              "status": 403,
              "detail": "Missing required scope: 'workflows:execute'. Your token has: 'workflows:read'",
              "requestId": "req_xyz789",
              "timestamp": "2025-12-08T10:30:05Z"
            }
          }
        }
      }
    },
    "schemas": {
      "CreateUserRequest": {
        "type": "object",
        "description": "Request body for creating a new user",
        "required": [
          "email",
          "firstName",
          "lastName"
        ],
        "properties": {
          "email": {
            "$ref": "#/components/schemas/Email"
          },
          "firstName": {
            "$ref": "#/components/schemas/FirstName"
          },
          "lastName": {
            "$ref": "#/components/schemas/LastName"
          },
          "publicAlias": {
            "$ref": "#/components/schemas/PublicAlias"
          },
          "namePrefix": {
            "$ref": "#/components/schemas/NamePrefix"
          },
          "nameSuffix": {
            "$ref": "#/components/schemas/NameSuffix"
          },
          "title": {
            "$ref": "#/components/schemas/UserTitle"
          },
          "password": {
            "$ref": "#/components/schemas/TemporaryPassword"
          },
          "licType": {
            "$ref": "#/components/schemas/LicenseType"
          },
          "profileId": {
            "$ref": "#/components/schemas/ProfileId"
          },
          "folderId": {
            "$ref": "#/components/schemas/FolderId"
          },
          "authProvider": {
            "$ref": "#/components/schemas/AuthProvider"
          },
          "scimExternalId": {
            "$ref": "#/components/schemas/ScimExternalId"
          },
          "mobile": {
            "$ref": "#/components/schemas/MobilePhoneNumber"
          },
          "fwNumber": {
            "$ref": "#/components/schemas/FwNumber"
          },
          "extension": {
            "$ref": "#/components/schemas/Extension"
          },
          "callerID": {
            "$ref": "#/components/schemas/CallerID"
          },
          "defaultOutboundCallerId": {
            "$ref": "#/components/schemas/DefaultOutboundCallerId"
          },
          "locationId": {
            "$ref": "#/components/schemas/LocationId"
          },
          "billingLocationId": {
            "$ref": "#/components/schemas/BillingLocationId"
          },
          "crmConfigId": {
            "$ref": "#/components/schemas/CrmConfigId"
          },
          "appTheme": {
            "$ref": "#/components/schemas/AppTheme"
          },
          "consoleTheme": {
            "$ref": "#/components/schemas/ConsoleTheme"
          },
          "timeZone": {
            "$ref": "#/components/schemas/TimeZone"
          },
          "interactionViewsType": {
            "$ref": "#/components/schemas/InteractionViewsType"
          },
          "modifyInteractionViews": {
            "$ref": "#/components/schemas/ModifyInteractionViews"
          },
          "commTypeChangeDefaultValue": {
            "$ref": "#/components/schemas/CommTypeChangeDefaultValue"
          },
          "attributes": {
            "$ref": "#/components/schemas/Attributes"
          },
          "permissions": {
            "$ref": "#/components/schemas/Permissions"
          },
          "spaces": {
            "$ref": "#/components/schemas/Spaces"
          },
          "tags": {
            "$ref": "#/components/schemas/TagsList"
          },
          "groups": {
            "$ref": "#/components/schemas/Groups"
          },
          "groupId": {
            "$ref": "#/components/schemas/GroupId"
          },
          "queues": {
            "$ref": "#/components/schemas/UserQueues"
          },
          "definedInteractionViews": {
            "$ref": "#/components/schemas/DefinedInteractionViews"
          },
          "isEliteVoiceEnabled": {
            "$ref": "#/components/schemas/IsEliteVoiceEnabled"
          },
          "eliteSbcGroupId": {
            "$ref": "#/components/schemas/EliteSbcGroupId"
          },
          "eliteAgentId": {
            "$ref": "#/components/schemas/EliteAgentId"
          },
          "eliteAgentIdPassword": {
            "$ref": "#/components/schemas/EliteAgentIdPassword"
          },
          "eliteCommunicationProfilePassword": {
            "$ref": "#/components/schemas/EliteCommunicationProfilePassword"
          },
          "eliteCommunicationProfilePasswordHash": {
            "$ref": "#/components/schemas/EliteCommunicationProfilePasswordHash"
          },
          "eliteSipAddress": {
            "$ref": "#/components/schemas/EliteSipAddress"
          },
          "eliteExtension": {
            "$ref": "#/components/schemas/EliteExtension"
          },
          "eliteExtensionPassword": {
            "$ref": "#/components/schemas/EliteExtensionPassword"
          },
          "eliteSipType": {
            "$ref": "#/components/schemas/EliteSipType"
          },
          "eliteCmConfigurationId": {
            "$ref": "#/components/schemas/EliteCmConfigurationId"
          },
          "isVoiceEnabled": {
            "$ref": "#/components/schemas/IsVoiceEnabled"
          },
          "isDigitalEnabled": {
            "$ref": "#/components/schemas/IsDigitalEnabled"
          },
          "previewOutbound": {
            "$ref": "#/components/schemas/PreviewOutbound"
          },
          "directoryAble": {
            "$ref": "#/components/schemas/DirectoryAble"
          },
          "rejectInteractions": {
            "$ref": "#/components/schemas/RejectInteractions"
          },
          "AIDable": {
            "$ref": "#/components/schemas/AIDableField"
          },
          "reportsTo": {
            "$ref": "#/components/schemas/ReportsTo"
          },
          "dialPlanProfileId": {
            "$ref": "#/components/schemas/DialPlanProfileId"
          },
          "enableWebHID": {
            "$ref": "#/components/schemas/EnableWebHID"
          },
          "enableErrorTones": {
            "$ref": "#/components/schemas/EnableErrorTones"
          },
          "phoneSpaces": {
            "$ref": "#/components/schemas/PhoneSpaces"
          },
          "ucPhoneSpaces": {
            "$ref": "#/components/schemas/UcPhoneSpaces"
          },
          "useUCPhoneSpaceOnCCCall": {
            "$ref": "#/components/schemas/UseUCPhoneSpaceOnCCCall"
          },
          "useCCPhoneSpaceOnUCCall": {
            "$ref": "#/components/schemas/UseCCPhoneSpaceOnUCCall"
          },
          "allowInternalCalls": {
            "$ref": "#/components/schemas/AllowInternalCalls"
          },
          "allowAgentEditAutoAnswer": {
            "$ref": "#/components/schemas/AllowAgentEditAutoAnswer"
          },
          "allowAgentEditWebHIDHeadsetControl": {
            "$ref": "#/components/schemas/AllowAgentEditWebHIDHeadsetControl"
          },
          "externalUCProviderConnections": {
            "type": "array",
            "items": {
              "type": "string",
              "pattern": "^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
              "minLength": 36,
              "maxLength": 36
            },
            "description": "External UC provider connection IDs to associate with the user."
          },
          "eliteVoicemailPassword": {
            "type": "string",
            "description": "Elite Voice voicemail password."
          },
          "logConfiguration": {
            "$ref": "#/components/schemas/LogConfiguration"
          }
        }
      },
      "UcPhoneSpaces": {
        "type": "integer",
        "minimum": 0,
        "maximum": 3,
        "description": "Multiplicity Personal Queue Phone; number of UC/personal-queue phone spaces (0-3).\n"
      },
      "UseUCPhoneSpaceOnCCCall": {
        "type": "boolean",
        "description": "When true, use UC (personal queue) phone space for contact center/general queue calls.\n"
      },
      "UseCCPhoneSpaceOnUCCall": {
        "type": "boolean",
        "description": "When true, use contact center (general queue) phone space for UC/personal queue calls.\n"
      },
      "CreatedUserData": {
        "type": "object",
        "properties": {
          "userDetails": {
            "type": "object",
            "properties": {
              "userId": {
                "$ref": "#/components/schemas/UserId"
              },
              "firstName": {
                "$ref": "#/components/schemas/FirstName"
              },
              "lastName": {
                "$ref": "#/components/schemas/LastName"
              },
              "publicAlias": {
                "$ref": "#/components/schemas/PublicAlias"
              },
              "fullName": {
                "$ref": "#/components/schemas/FullName"
              },
              "extension": {
                "$ref": "#/components/schemas/Extension"
              },
              "email": {
                "$ref": "#/components/schemas/Email"
              },
              "tempPass": {
                "$ref": "#/components/schemas/TemporaryPassword"
              }
            }
          },
          "usersQueueId": {
            "type": "string"
          }
        }
      },
      "CreatedUser": {
        "type": "object",
        "description": "Response body for a new user having been created",
        "properties": {
          "status": {
            "type": "string",
            "example": "success"
          },
          "desc": {
            "type": "string",
            "description": "Human-readable description of the result.",
            "example": "new user created"
          },
          "data": {
            "$ref": "#/components/schemas/CreatedUserData"
          },
          "apiRequestKey": {
            "$ref": "#/components/schemas/ApiRequestKey"
          }
        }
      },
      "FolderId": {
        "description": "Unique identifier for a folder.",
        "type": "string",
        "pattern": "^073[0-9a-f]{23}$",
        "example": "073d010813b941cf7da111d147"
      },
      "ProfileId": {
        "type": "string",
        "description": "The unique identifier of a profile.",
        "format": "uuid",
        "example": "16a7490f-86a6-4a14-8ce2-11682230adb6"
      },
      "LicenseType": {
        "type": "string",
        "description": "User license type that determines available features and permissions",
        "enum": [
          "nonAgent",
          "voiceOnlyAgent",
          "digitalOnlyAgent",
          "omniChannelAgent",
          "omniChannelAgentEnhanced",
          "hybridVoiceAgent"
        ],
        "example": "hybridVoiceAgent"
      },
      "LocationId": {
        "type": "string",
        "description": "Optional location ID to associate with the user or profile. Must be an existing location ID.\n\n**Note:** Location IDs are system-generated 26-character identifiers with prefix \"022\".\n",
        "maxLength": 26,
        "minLength": 26,
        "pattern": "^022[0-9a-f]{23}$",
        "example": "022d01091776cc88fe6866b7ce"
      },
      "Violation": {
        "type": "object",
        "properties": {
          "field": {
            "description": "The name of the field in the request that caused the violation.\n\nThis can be the name of a path parameter, query parameter, or a field within the request body.\n",
            "type": "string",
            "readOnly": true,
            "example": "jobName"
          },
          "message": {
            "description": "A human-readable explanation specific to this occurrence of the violation.\n",
            "type": "string",
            "readOnly": true,
            "example": "must match \"^[a-zA-Z]{6}$\""
          },
          "code": {
            "description": "The violation code generated by the server for this occurrence of the violation.\n\nUse this code when implementing any error handling logic instead of the message, as the message can change.\n",
            "type": "integer",
            "format": "int32",
            "readOnly": true,
            "example": 20006
          }
        },
        "required": [
          "field",
          "message",
          "code"
        ],
        "example": [
          {
            "field": "emailAddress",
            "message": "must not be null",
            "code": 20002
          }
        ]
      },
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> is a way to carry machine-readable details of errors in an HTTP\nresponse to avoid the need to define new error response formats for HTTP APIs\n\n<a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "description": "An absolute URI that identifies the problem type.\n\nWhen dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "type": "string",
            "format": "uri",
            "readOnly": true,
            "example": "https://developers.avayacloud.com/avaya-infinity/docs/user-management#error-reference"
          },
          "title": {
            "description": "A short, summary of the problem type.\n\nWritten in English and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "type": "string",
            "readOnly": true,
            "example": "Service Unavailable"
          },
          "status": {
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "type": "integer",
            "format": "int32",
            "minimum": 300,
            "exclusiveMaximum": 600,
            "readOnly": true,
            "example": 503
          },
          "detail": {
            "description": "A human-readable explanation specific to this occurrence of the problem.\n",
            "type": "string",
            "readOnly": true,
            "example": "Connection to database timed out"
          },
          "instance": {
            "description": "An absolute URI that identifies the specific occurrence of the problem.\n\nIt may or may not yield further information if dereferenced.\n",
            "type": "string",
            "format": "uri",
            "readOnly": true
          },
          "violations": {
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Violation"
            },
            "readOnly": true
          }
        }
      },
      "UserId": {
        "description": "Unique identifier for a user.",
        "type": "string",
        "pattern": "^002[0-9a-f]{23}$",
        "example": "002507f1e1c8e3e9a8b7c5d4e3f2"
      },
      "FullName": {
        "description": "The full name of the user (firstName + lastName).",
        "type": "string",
        "example": "John Smith"
      },
      "Email": {
        "description": "A user's email address",
        "type": "string",
        "format": "email"
      },
      "TagsList": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of tag names associated with the user or profile.",
        "example": [
          "APACT",
          "English",
          "NART"
        ]
      },
      "QueueId": {
        "description": "Unique identifier for a queue.",
        "type": "string",
        "minLength": 23,
        "maxLength": 26,
        "pattern": "^003[0-9a-f]{20,23}$",
        "example": "00301090301ad8db0f0d4c370"
      },
      "UserQueues": {
        "description": "Queues configuration for a user or profile.",
        "type": "object",
        "properties": {
          "access": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/QueueId"
            }
          },
          "performance": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/QueueId"
            }
          },
          "autoLogin": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/QueueId"
            }
          },
          "proficiency": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/QueueId"
            }
          },
          "logins": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/QueueId"
            }
          },
          "defaultOutboundQueue": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/QueueId"
              },
              {
                "type": "null"
              }
            ]
          },
          "outboundQueueId": {
            "anyOf": [
              {
                "$ref": "#/components/schemas/QueueId"
              },
              {
                "type": "null"
              }
            ]
          }
        }
      },
      "Extension": {
        "description": "The extension of an agent user.",
        "type": "string",
        "example": "1001"
      },
      "UiTheme": {
        "type": "string",
        "enum": [
          "light",
          "dark"
        ],
        "example": "light"
      },
      "AppTheme": {
        "allOf": [
          {
            "$ref": "#/components/schemas/UiTheme"
          }
        ],
        "description": "Application theme preference"
      },
      "ConsoleTheme": {
        "allOf": [
          {
            "$ref": "#/components/schemas/UiTheme"
          }
        ],
        "description": "Console theme preference"
      },
      "EnableWebHID": {
        "type": "boolean",
        "description": "Whether WebHID is enabled for the user"
      },
      "EnableErrorTones": {
        "type": "boolean",
        "description": "Whether error tones are enabled."
      },
      "AllowInternalCalls": {
        "type": "boolean",
        "description": "Whether the user or profile can make internal calls"
      },
      "AllowAgentEditAutoAnswer": {
        "type": "boolean",
        "description": "Controls whether the agent is allowed to edit their own Auto Answer Interactions setting (attributes.webRTC.autoAnswer.interaction) via the Edit Profile API. Defaults to false (agent cannot edit). When false and an agent attempts a self-edit that includes an Auto Answer change, the server returns HTTP 403 Forbidden. Administrators can always modify Auto Answer for any user regardless of this flag.",
        "default": false
      },
      "AllowAgentEditWebHIDHeadsetControl": {
        "type": "boolean",
        "description": "Controls whether the agent is allowed to edit their own WebHID Headset Control setting (attributes.webHID.status) via the Edit Profile API. Defaults to false (agent cannot edit). When false and an agent attempts a self-edit that includes a WebHID status change, the server returns HTTP 403 Forbidden. Administrators can always modify WebHID settings for any user regardless of this flag.",
        "default": false
      },
      "PublicAlias": {
        "description": "The public alias of a user. Supports letters (including international characters), digits, spaces, hyphens, and apostrophes.",
        "type": "string",
        "minLength": 2,
        "maxLength": 100,
        "pattern": "^[\\p{L}0-9 '\\-]*$",
        "example": "John Smith"
      },
      "NamePrefix": {
        "description": "The name prefix of a user.",
        "type": "string"
      },
      "NameSuffix": {
        "description": "The name suffix of a user.",
        "type": "string",
        "enum": [
          "Jr",
          "Sr",
          "I",
          "II",
          "III",
          "IV",
          "V",
          "CLU",
          "CO",
          "CPA",
          "DDS",
          "ESQ",
          "MD",
          "PhD",
          "RN"
        ]
      },
      "DefinedInteractionViews": {
        "type": "array",
        "description": "List of defined interaction views",
        "items": {
          "type": "string"
        }
      },
      "ModifyInteractionViews": {
        "type": "boolean",
        "description": "Can modify interaction views",
        "example": true
      },
      "RejectInteractions": {
        "type": "boolean"
      },
      "IsDigitalEnabled": {
        "type": "boolean"
      },
      "IsVoiceEnabled": {
        "type": "boolean"
      },
      "PreviewOutbound": {
        "type": "boolean"
      },
      "CrmConfigId": {
        "type": "string",
        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
        "minLength": 36,
        "maxLength": 36
      },
      "FirstName": {
        "description": "The first name of a user.",
        "type": "string",
        "minLength": 2,
        "maxLength": 255,
        "pattern": "^[^<>\\^@#]*$",
        "example": "John"
      },
      "LastName": {
        "description": "The last name of a user.",
        "type": "string",
        "minLength": 2,
        "maxLength": 255,
        "pattern": "^[^<>\\^@#]*$",
        "example": "Smith"
      },
      "UserTitle": {
        "description": "The user's job title.",
        "type": "string",
        "minLength": 1,
        "maxLength": 510,
        "example": "Supervisor"
      },
      "TemporaryPassword": {
        "type": "string",
        "example": "Aghtat2343$",
        "pattern": "^(?=.{8,}$)(?=.*?[a-z])(?=.*?[A-Z])(?=.*?[0-9])(?=.*?\\W).*$",
        "maxLength": 255,
        "description": "Initial password for the user"
      },
      "AuthProvider": {
        "type": "string",
        "description": "Which provider is used to authenticate the user.",
        "enum": [
          "keycloak",
          "saml",
          "local"
        ]
      },
      "ScimExternalId": {
        "type": "string"
      },
      "MobilePhoneNumber": {
        "type": "string",
        "description": "Mobile phone number - accepts E.164 format (+[country code][number]) or plain digits. Length 5-15 characters/digits.",
        "pattern": "^(\\+[1-9]\\d{3,13}|\\d{5,15})$",
        "minLength": 5,
        "maxLength": 15,
        "examples": [
          16479308804,
          6479308804,
          1234,
          12345
        ]
      },
      "FwNumber": {
        "type": "string",
        "pattern": "^[\\d+\\s().-]*$"
      },
      "CallerID": {
        "type": "string",
        "minLength": 10
      },
      "DefaultOutboundCallerId": {
        "type": "string",
        "minLength": 10
      },
      "BillingLocationId": {
        "type": "string"
      },
      "TimeZone": {
        "type": "string",
        "description": "User's timezone preference (IANA timezone)",
        "maxLength": 64,
        "example": "America/New_York"
      },
      "InteractionViewsType": {
        "type": "string",
        "description": "Type of interaction views to display",
        "enum": [
          "all",
          "defined",
          "standard"
        ],
        "default": "all",
        "example": "all"
      },
      "CommTypeChangeDefaultValue": {
        "type": "string",
        "description": "Default value for communication type changes",
        "enum": [
          "callback",
          "closeResolved",
          "closeUnresolved"
        ],
        "example": "callback"
      },
      "Attributes": {
        "type": "object",
        "description": "Attributes of the user or profile.",
        "properties": {
          "time": {
            "type": "object",
            "properties": {
              "tz": {
                "$ref": "#/components/schemas/TimeZone"
              }
            }
          },
          "taskSpaces": {
            "type": "integer",
            "example": 3
          },
          "emailSpaces": {
            "type": "integer",
            "example": 3
          },
          "phoneSpaces": {
            "type": "integer",
            "example": 1
          },
          "videoSpaces": {
            "type": "integer",
            "example": 0
          },
          "messagingSpaces": {
            "type": "integer",
            "example": 3
          },
          "sessionStats": {
            "type": "object",
            "description": "Session statistics configuration (obsolete but kept for backward compatibility)",
            "properties": {
              "enabled": {
                "type": "boolean"
              },
              "frequencyScalar": {
                "type": "integer",
                "example": 5
              },
              "frequencyUnit": {
                "type": "string",
                "example": "minutes"
              },
              "stats": {
                "type": "object",
                "additionalProperties": {
                  "type": "boolean"
                }
              },
              "pingHosts": {
                "type": "array",
                "items": {
                  "type": "string"
                },
                "example": [
                  "test.edify.cx"
                ]
              }
            }
          }
        }
      },
      "Permissions": {
        "type": "object",
        "description": "The permissions for a user or profile.",
        "properties": {
          "app": {
            "type": "object"
          },
          "console": {
            "type": "object"
          }
        },
        "example": {
          "app": {
            "agent": {
              "read": false
            },
            "portal": {
              "app-web": false
            },
            "homeList": {
              "read": false
            },
            "queueList": {
              "read": false
            },
            "queueToggling": {
              "read": false
            }
          },
          "console": {
            "cx": {
              "read": true
            },
            "ml": {
              "read": true
            },
            "portal": {
              "console-web": true
            },
            "queues": {
              "read": true
            },
            "account": {
              "read": true
            },
            "numbers": {
              "read": true
            },
            "integrations": {
              "read": false
            }
          }
        }
      },
      "Spaces": {
        "type": "object",
        "description": "Space configuration for a user or profile.",
        "properties": {
          "task": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "email": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "phone": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "video": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "messaging": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "GroupId": {
        "description": "Unique identifier for a group.",
        "type": "string",
        "pattern": "^007[0-9a-f]{23}$",
        "example": "007a1b2c3d4e5f67890abcdef12"
      },
      "Groups": {
        "type": "array",
        "description": "Array of group identifiers that the user or profile belongs to. Each string is a groupId from the groups table (Edify-style IDs with 007 prefix).",
        "items": {
          "$ref": "#/components/schemas/GroupId"
        },
        "example": [
          "007d01090301ad8db0f0d4c370",
          "007d01090301ad8db0f0d4c371"
        ]
      },
      "IsEliteVoiceEnabled": {
        "type": "boolean"
      },
      "EliteSbcGroupId": {
        "description": "The ID of the default SBC Group to use for calls involving this hybrid agent.",
        "type": "string",
        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
        "minLength": 36,
        "maxLength": 36
      },
      "EliteAgentId": {
        "description": "The hybrid agent's ID on Aura.",
        "type": "string",
        "minLength": 1
      },
      "EliteAgentIdPassword": {
        "description": "The password for the hybrid agent on Aura.",
        "type": "string"
      },
      "EliteCommunicationProfilePassword": {
        "description": "The password for the communication profile on Aura.",
        "type": "string"
      },
      "EliteCommunicationProfilePasswordHash": {
        "description": "Hash of communication profile password.",
        "type": "string",
        "minLength": 32,
        "maxLength": 32,
        "pattern": "^[0-9a-f]{32}$"
      },
      "EliteSipAddress": {
        "description": "The SIP address for the hybrid agent.",
        "type": "string",
        "format": "email"
      },
      "EliteExtension": {
        "description": "The hybrid agent's extension on Aura.",
        "type": "string",
        "minLength": 1
      },
      "EliteExtensionPassword": {
        "type": "string"
      },
      "EliteSipType": {
        "type": "string",
        "enum": [
          "UDP",
          "TCP",
          "TLS"
        ]
      },
      "EliteCmConfigurationId": {
        "description": "The ID of the Elite CM Configuration associated with this user",
        "type": "string",
        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
        "minLength": 36,
        "maxLength": 36
      },
      "DirectoryAble": {
        "type": "boolean"
      },
      "AIDableField": {
        "type": "boolean"
      },
      "ReportsTo": {
        "type": "string"
      },
      "DialPlanProfileId": {
        "type": "string",
        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
        "minLength": 36,
        "maxLength": 36,
        "description": "ID of the dial plan profile to use"
      },
      "PhoneSpaces": {
        "type": "integer",
        "minimum": 0
      },
      "LogConfiguration": {
        "type": "object",
        "description": "Log configuration settings for controlling logging behavior.\nUsed to configure client-side logging for users and profiles.\n",
        "properties": {
          "logLevel": {
            "type": "string",
            "enum": [
              "ERROR",
              "WARN",
              "INFO",
              "DEBUG",
              "TRACE"
            ],
            "description": "The minimum log level to capture",
            "example": "INFO"
          },
          "remoteLoggingEnabled": {
            "type": "boolean",
            "description": "Whether to send logs to the remote logging service",
            "example": true
          },
          "sampleRate": {
            "type": "number",
            "minimum": 0,
            "maximum": 1,
            "description": "Sampling rate for logs (0 to 1, where 1 means log everything)",
            "example": 0.5
          },
          "modules": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of module names to enable logging for",
            "example": [
              "auth",
              "api",
              "websocket"
            ]
          }
        }
      },
      "ApiRequestKey": {
        "description": "Unique identifier for tracing the handling of an API request.",
        "type": "string",
        "pattern": "^012[0-9a-f]{23}$",
        "example": "012d010908d4c2bdcc95a5f63c"
      }
    },
    "examples": {
      "ErrorUserEmailExists": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-infinity/docs/user-management#error-reference",
          "title": "Conflict",
          "status": 409,
          "detail": "A resource with the same unique constraint values already exists.",
          "violations": [
            {
              "field": "email",
              "message": "A user with this email already exists"
            }
          ]
        }
      },
      "ErrorUnprocessableEntity": {
        "description": "Validation failed",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-infinity/docs/user-management#error-reference",
          "title": "Validation failed",
          "status": 422,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": {
            "message": "Invalid email format.",
            "code": 20008
          }
        }
      }
    }
  }
}
```